<?php
/**
 * Settings.php
 *
 * @package  Conexa\ClipTransparent\Gateway\
 */

namespace Conexa\ClipTransparent\Gateway;

use Conexa\ClipTransparent\Includes\Helper\Helper;

return apply_filters(
	'wc_clip_transparent_form_fields',
	array(
		'enabled'                      => array(
			'title'   => __( 'Enable/Disable', 'clip-transparent' ),
			'type'    => 'checkbox',
			'label'   => __( 'Enable clip transparent Payment Gateway', 'clip-transparent' ),
			'default' => 'yes',
		),

		'wc_clip_credentials_subtitle' => array(
			'title'       => '',
			'type'        => 'title',
			'description' => __( "If you still do not have your credentials to operate with Clip, click <a href='https://dashboard.developer.clip.mx/' target='_bank'>here</a>.", 'clip' ),
		),

		'wc_clip_transparent_api_key'              => array(
			'title' => __( 'Client Api Key', 'clip-transparent' ),
			'type'  => 'text',
		),

		'wc_clip_transparent_api_secret'           => array(
			'title' => __( 'Client Api Secret', 'clip-transparent' ),
			'type'  => 'password',
		),

		'wc_clip_transparent_validations_section'  => array(
			'title'       => __( 'Validation', 'clip-transparent' ),
			'type'        => 'title',
			'description' => Helper::validate_all_html(),
		),

		'wc_clip_transparent_theme_options'      => array(
			'title'   => __( 'Theme Options', 'clip-transparent' ),
			'type'    => 'select',
			'default' => 'default',
			'options' => array(
				'eco' => __( 'Eco', 'clip-transparent' ),
				'dark' => __( 'Dark', 'clip-transparent' ),
				'default' => __( 'Default', 'clip-transparent' ),
			),
			'default' => 'default',
		),

		'wc_clip_transparent_locale_options'      => array(
			'title'   => __( 'Locale Options', 'clip-transparent' ),
			'type'    => 'select',
			'default' => 'es',
			'options' => array(
				'en' => __( 'English', 'clip-transparent' ),
				'es' => __( 'Spanish', 'clip-transparent' ),
			),
			'default' => 'en',
		),

		'wc_clip_transparent_log_enabled'          => array(
			'title'       => __( 'Enable/Disable', 'clip-transparent' ),
			'type'        => 'checkbox',
			'label'       => __( 'Activate Logs', 'clip-transparent' ),
			'description' => sprintf(
			/* translators: %s: System Flag */
				__(
					'You can enable plugin debugging to track communication between the plugin and clip transparent API. You will be able to view the record from the <a href="%s">WooCommerce > Status > Records</a> menu.',
					'clip-transparent'
				),
				esc_url( get_admin_url( null, 'admin.php?page=wc-status&tab=logs' ) )
			),
			'default'     => 'yes',
		),
	)
);


