<?php
/**
 * Hooks Files
 *
 * @package  Conexa\ClipTransparent\Hooks
 */

defined( 'ABSPATH' ) || exit;

// --- Payment Method
add_filter( 'woocommerce_payment_gateways', array( 'ClipTransparent', 'add_payment_method' ) );

// --- Settings
add_filter( 'plugin_action_links_' . plugin_basename( \ClipTransparent::MAIN_FILE ), array( 'ClipTransparent', 'create_settings_link', ) );

// --- ThreeDS Checkout
add_action(	'woocommerce_receipt_' . \ClipTransparent::GATEWAY_ID, array( 'Conexa\ClipTransparent\Gateway\ThreeDSCheckout', 'render' ), 90 );


// --- Ajax for UpdateCartTotal
add_action( 'wp_ajax_clip_transparent_cart_total', ['\Conexa\ClipTransparent\Gateway\UpdateCartTotal', 'clip_transparent_cart_total']);
add_action( 'wp_ajax_nopriv_clip_transparent_cart_total', ['\Conexa\ClipTransparent\Gateway\UpdateCartTotal', 'clip_transparent_cart_total'] );


// --- Ajax for ThreeDSComplete
add_action( 'wp_ajax_clip_transparent_3ds_complete', ['\Conexa\ClipTransparent\Gateway\ThreeDSComplete', 'clip_transparent_3ds_complete']);
add_action( 'wp_ajax_nopriv_clip_transparent_3ds_complete', ['\Conexa\ClipTransparent\Gateway\ThreeDSComplete', 'clip_transparent_3ds_complete'] );
