<?php

use Conexa\ClipTransparent\Includes\Helper\Helper;

$id = $args['id'];
$description = $args['description'];
$sdk = $args['sdk'];
$api_key = $args['api_key'];
$theme_options = $args['theme_options'];
$locale_options = $args['locale_options'];

$datadog = \ClipTransparent::get_url( 'datadog' );
$mode = (\ClipTransparent::MODE === 'test') ? 'stage' : 'prod';
$version = \ClipTransparent::VERSION;



if( $description ) {
    // display the description with <p> tags etc.
    echo wpautop( wp_kses_post( $description ) );
}

// I will echo() the form, but you can close PHP tags and print it directly in HTML
echo '<fieldset id="wc-' . esc_attr( $id ) . '-cc-form" class="wc-credit-card-form wc-payment-form" style="background:transparent;">';

// Add this action hook if you want your custom payment gateway to support it
do_action( 'woocommerce_credit_card_form_start', $id );

echo '<input id="clip_transparent_cardtoken" name="clip_transparent_cardtoken" type="hidden" autocomplete="off">';
echo '<input id="clip_transparent_installments" name="clip_transparent_installments" type="hidden" autocomplete="off">';
echo '<input id="clip_transparent_prevention" name="clip_transparent_prevention" type="hidden" autocomplete="off">';
echo '<input id="clip_transparent_error" name="clip_transparent_error" type="hidden" autocomplete="off">';
echo '<div id="card-element"></div>';

do_action( 'woocommerce_credit_card_form_end', $id );

echo '<div class="clear"></div></fieldset>';

wp_register_script(
    'clip-transparent-sdk',
    $sdk,
    array(),
    $version,
    true
);
wp_enqueue_script( 'clip-transparent-sdk' );

wp_register_script(
    'clip-transparent-payment',
    Helper::get_assets_folder_url() . '/js/clip-transparent-payment.js',
    array( 'jquery' ),
    $version,
    true
);
wp_enqueue_script( 'clip-transparent-payment' );

wp_localize_script( 'clip-transparent-payment', 'clip_transparent_object',
    array(
        'nonce' => wp_create_nonce('wc-clip_transparent'),
        'admin_ajax' => esc_url( admin_url('admin-ajax.php') ),
        'api_key' => $api_key,
        'theme_options' => $theme_options,
        'locale_options' => $locale_options,
        'mode'	=> \ClipTransparent::MODE,
    )
);

wp_register_script(
    'clip-transparent-datadog-link',
    $datadog,
    array(),
    $version,
    true
);
wp_enqueue_script( 'clip-transparent-datadog-link' );

wp_register_script(
    'clip-transparent-datadog',
    Helper::get_assets_folder_url() . '/js/clip-transparent-datadog.js',
    array( 'jquery' ),
    $version,
    true
);
wp_enqueue_script( 'clip-transparent-datadog' );

wp_localize_script( 'clip-transparent-datadog', 'clip_transparent_datadog',
    array(
        'mode' => $mode,
        'version' => $version,
    )
);

?>

